/*
 * Copyright 2009 bufferings[at]gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
 package bufferings.ktr.wjr.client.widget;

import com.google.gwt.user.client.ui.Widget;

public class KtrIcon extends Widget {

  private KtrIcon() {
    setElement(com.google.gwt.dom.client.Document.get().createSpanElement());
  }

  public static class Empty extends KtrIcon {
    public Empty() {
      super();
      setStyleName("ui-icon ktr-icon-empty");
    }
  }

  public static class Carat1N extends KtrIcon {
    public Carat1N() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-n");
    }
  }

  public static class Carat1Ne extends KtrIcon {
    public Carat1Ne() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-ne");
    }
  }

  public static class Carat1E extends KtrIcon {
    public Carat1E() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-e");
    }
  }

  public static class Carat1Se extends KtrIcon {
    public Carat1Se() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-se");
    }
  }

  public static class Carat1S extends KtrIcon {
    public Carat1S() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-s");
    }
  }

  public static class Carat1Sw extends KtrIcon {
    public Carat1Sw() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-sw");
    }
  }

  public static class Carat1W extends KtrIcon {
    public Carat1W() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-w");
    }
  }

  public static class Carat1Nw extends KtrIcon {
    public Carat1Nw() {
      super();
      setStyleName("ui-icon ui-icon-carat-1-nw");
    }
  }

  public static class Carat2NS extends KtrIcon {
    public Carat2NS() {
      super();
      setStyleName("ui-icon ui-icon-carat-2-n-s");
    }
  }

  public static class Carat2EW extends KtrIcon {
    public Carat2EW() {
      super();
      setStyleName("ui-icon ui-icon-carat-2-e-w");
    }
  }

  public static class Triangle1N extends KtrIcon {
    public Triangle1N() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-n");
    }
  }

  public static class Triangle1Ne extends KtrIcon {
    public Triangle1Ne() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-ne");
    }
  }

  public static class Triangle1E extends KtrIcon {
    public Triangle1E() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-e");
    }
  }

  public static class Triangle1Se extends KtrIcon {
    public Triangle1Se() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-se");
    }
  }

  public static class Triangle1S extends KtrIcon {
    public Triangle1S() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-s");
    }
  }

  public static class Triangle1Sw extends KtrIcon {
    public Triangle1Sw() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-sw");
    }
  }

  public static class Triangle1W extends KtrIcon {
    public Triangle1W() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-w");
    }
  }

  public static class Triangle1Nw extends KtrIcon {
    public Triangle1Nw() {
      super();
      setStyleName("ui-icon ui-icon-triangle-1-nw");
    }
  }

  public static class Triangle2NS extends KtrIcon {
    public Triangle2NS() {
      super();
      setStyleName("ui-icon ui-icon-triangle-2-n-s");
    }
  }

  public static class Triangle2EW extends KtrIcon {
    public Triangle2EW() {
      super();
      setStyleName("ui-icon ui-icon-triangle-2-e-w");
    }
  }

  public static class Arrow1N extends KtrIcon {
    public Arrow1N() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-n");
    }
  }

  public static class Arrow1Ne extends KtrIcon {
    public Arrow1Ne() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-ne");
    }
  }

  public static class Arrow1E extends KtrIcon {
    public Arrow1E() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-e");
    }
  }

  public static class Arrow1Se extends KtrIcon {
    public Arrow1Se() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-se");
    }
  }

  public static class Arrow1S extends KtrIcon {
    public Arrow1S() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-s");
    }
  }

  public static class Arrow1Sw extends KtrIcon {
    public Arrow1Sw() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-sw");
    }
  }

  public static class Arrow1W extends KtrIcon {
    public Arrow1W() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-w");
    }
  }

  public static class Arrow1Nw extends KtrIcon {
    public Arrow1Nw() {
      super();
      setStyleName("ui-icon ui-icon-arrow-1-nw");
    }
  }

  public static class Arrow2NS extends KtrIcon {
    public Arrow2NS() {
      super();
      setStyleName("ui-icon ui-icon-arrow-2-n-s");
    }
  }

  public static class Arrow2NeSw extends KtrIcon {
    public Arrow2NeSw() {
      super();
      setStyleName("ui-icon ui-icon-arrow-2-ne-sw");
    }
  }

  public static class Arrow2EW extends KtrIcon {
    public Arrow2EW() {
      super();
      setStyleName("ui-icon ui-icon-arrow-2-e-w");
    }
  }

  public static class Arrow2SeNw extends KtrIcon {
    public Arrow2SeNw() {
      super();
      setStyleName("ui-icon ui-icon-arrow-2-se-nw");
    }
  }

  public static class Arrowstop1N extends KtrIcon {
    public Arrowstop1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowstop-1-n");
    }
  }

  public static class Arrowstop1E extends KtrIcon {
    public Arrowstop1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowstop-1-e");
    }
  }

  public static class Arrowstop1S extends KtrIcon {
    public Arrowstop1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowstop-1-s");
    }
  }

  public static class Arrowstop1W extends KtrIcon {
    public Arrowstop1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowstop-1-w");
    }
  }

  public static class Arrowthick1N extends KtrIcon {
    public Arrowthick1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-n");
    }
  }

  public static class Arrowthick1Ne extends KtrIcon {
    public Arrowthick1Ne() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-ne");
    }
  }

  public static class Arrowthick1E extends KtrIcon {
    public Arrowthick1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-e");
    }
  }

  public static class Arrowthick1Se extends KtrIcon {
    public Arrowthick1Se() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-se");
    }
  }

  public static class Arrowthick1S extends KtrIcon {
    public Arrowthick1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-s");
    }
  }

  public static class Arrowthick1Sw extends KtrIcon {
    public Arrowthick1Sw() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-sw");
    }
  }

  public static class Arrowthick1W extends KtrIcon {
    public Arrowthick1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-w");
    }
  }

  public static class Arrowthick1Nw extends KtrIcon {
    public Arrowthick1Nw() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-1-nw");
    }
  }

  public static class Arrowthick2NS extends KtrIcon {
    public Arrowthick2NS() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-2-n-s");
    }
  }

  public static class Arrowthick2NeSw extends KtrIcon {
    public Arrowthick2NeSw() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-2-ne-sw");
    }
  }

  public static class Arrowthick2EW extends KtrIcon {
    public Arrowthick2EW() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-2-e-w");
    }
  }

  public static class Arrowthick2SeNw extends KtrIcon {
    public Arrowthick2SeNw() {
      super();
      setStyleName("ui-icon ui-icon-arrowthick-2-se-nw");
    }
  }

  public static class Arrowthickstop1N extends KtrIcon {
    public Arrowthickstop1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowthickstop-1-n");
    }
  }

  public static class Arrowthickstop1E extends KtrIcon {
    public Arrowthickstop1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowthickstop-1-e");
    }
  }

  public static class Arrowthickstop1S extends KtrIcon {
    public Arrowthickstop1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowthickstop-1-s");
    }
  }

  public static class Arrowthickstop1W extends KtrIcon {
    public Arrowthickstop1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowthickstop-1-w");
    }
  }

  public static class Arrowreturnthick1W extends KtrIcon {
    public Arrowreturnthick1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturnthick-1-w");
    }
  }

  public static class Arrowreturnthick1N extends KtrIcon {
    public Arrowreturnthick1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturnthick-1-n");
    }
  }

  public static class Arrowreturnthick1E extends KtrIcon {
    public Arrowreturnthick1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturnthick-1-e");
    }
  }

  public static class Arrowreturnthick1S extends KtrIcon {
    public Arrowreturnthick1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturnthick-1-s");
    }
  }

  public static class Arrowreturn1W extends KtrIcon {
    public Arrowreturn1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturn-1-w");
    }
  }

  public static class Arrowreturn1N extends KtrIcon {
    public Arrowreturn1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturn-1-n");
    }
  }

  public static class Arrowreturn1E extends KtrIcon {
    public Arrowreturn1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturn-1-e");
    }
  }

  public static class Arrowreturn1S extends KtrIcon {
    public Arrowreturn1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowreturn-1-s");
    }
  }

  public static class Arrowrefresh1W extends KtrIcon {
    public Arrowrefresh1W() {
      super();
      setStyleName("ui-icon ui-icon-arrowrefresh-1-w");
    }
  }

  public static class Arrowrefresh1N extends KtrIcon {
    public Arrowrefresh1N() {
      super();
      setStyleName("ui-icon ui-icon-arrowrefresh-1-n");
    }
  }

  public static class Arrowrefresh1E extends KtrIcon {
    public Arrowrefresh1E() {
      super();
      setStyleName("ui-icon ui-icon-arrowrefresh-1-e");
    }
  }

  public static class Arrowrefresh1S extends KtrIcon {
    public Arrowrefresh1S() {
      super();
      setStyleName("ui-icon ui-icon-arrowrefresh-1-s");
    }
  }

  public static class Arrow4 extends KtrIcon {
    public Arrow4() {
      super();
      setStyleName("ui-icon ui-icon-arrow-4");
    }
  }

  public static class Arrow4Diag extends KtrIcon {
    public Arrow4Diag() {
      super();
      setStyleName("ui-icon ui-icon-arrow-4-diag");
    }
  }

  public static class Extlink extends KtrIcon {
    public Extlink() {
      super();
      setStyleName("ui-icon ui-icon-extlink");
    }
  }

  public static class Newwin extends KtrIcon {
    public Newwin() {
      super();
      setStyleName("ui-icon ui-icon-newwin");
    }
  }

  public static class Refresh extends KtrIcon {
    public Refresh() {
      super();
      setStyleName("ui-icon ui-icon-refresh");
    }
  }

  public static class Shuffle extends KtrIcon {
    public Shuffle() {
      super();
      setStyleName("ui-icon ui-icon-shuffle");
    }
  }

  public static class TransferEW extends KtrIcon {
    public TransferEW() {
      super();
      setStyleName("ui-icon ui-icon-transfer-e-w");
    }
  }

  public static class TransferthickEW extends KtrIcon {
    public TransferthickEW() {
      super();
      setStyleName("ui-icon ui-icon-transferthick-e-w");
    }
  }

  public static class FolderCollapsed extends KtrIcon {
    public FolderCollapsed() {
      super();
      setStyleName("ui-icon ui-icon-folder-collapsed");
    }
  }

  public static class FolderOpen extends KtrIcon {
    public FolderOpen() {
      super();
      setStyleName("ui-icon ui-icon-folder-open");
    }
  }

  public static class Document extends KtrIcon {
    public Document() {
      super();
      setStyleName("ui-icon ui-icon-document");
    }
  }

  public static class DocumentB extends KtrIcon {
    public DocumentB() {
      super();
      setStyleName("ui-icon ui-icon-document-b");
    }
  }

  public static class Note extends KtrIcon {
    public Note() {
      super();
      setStyleName("ui-icon ui-icon-note");
    }
  }

  public static class MailClosed extends KtrIcon {
    public MailClosed() {
      super();
      setStyleName("ui-icon ui-icon-mail-closed");
    }
  }

  public static class MailOpen extends KtrIcon {
    public MailOpen() {
      super();
      setStyleName("ui-icon ui-icon-mail-open");
    }
  }

  public static class Suitcase extends KtrIcon {
    public Suitcase() {
      super();
      setStyleName("ui-icon ui-icon-suitcase");
    }
  }

  public static class Comment extends KtrIcon {
    public Comment() {
      super();
      setStyleName("ui-icon ui-icon-comment");
    }
  }

  public static class Person extends KtrIcon {
    public Person() {
      super();
      setStyleName("ui-icon ui-icon-person");
    }
  }

  public static class Print extends KtrIcon {
    public Print() {
      super();
      setStyleName("ui-icon ui-icon-print");
    }
  }

  public static class Trash extends KtrIcon {
    public Trash() {
      super();
      setStyleName("ui-icon ui-icon-trash");
    }
  }

  public static class Locked extends KtrIcon {
    public Locked() {
      super();
      setStyleName("ui-icon ui-icon-locked");
    }
  }

  public static class Unlocked extends KtrIcon {
    public Unlocked() {
      super();
      setStyleName("ui-icon ui-icon-unlocked");
    }
  }

  public static class Bookmark extends KtrIcon {
    public Bookmark() {
      super();
      setStyleName("ui-icon ui-icon-bookmark");
    }
  }

  public static class Tag extends KtrIcon {
    public Tag() {
      super();
      setStyleName("ui-icon ui-icon-tag");
    }
  }

  public static class Home extends KtrIcon {
    public Home() {
      super();
      setStyleName("ui-icon ui-icon-home");
    }
  }

  public static class Flag extends KtrIcon {
    public Flag() {
      super();
      setStyleName("ui-icon ui-icon-flag");
    }
  }

  public static class Calendar extends KtrIcon {
    public Calendar() {
      super();
      setStyleName("ui-icon ui-icon-calendar");
    }
  }

  public static class Cart extends KtrIcon {
    public Cart() {
      super();
      setStyleName("ui-icon ui-icon-cart");
    }
  }

  public static class Pencil extends KtrIcon {
    public Pencil() {
      super();
      setStyleName("ui-icon ui-icon-pencil");
    }
  }

  public static class Clock extends KtrIcon {
    public Clock() {
      super();
      setStyleName("ui-icon ui-icon-clock");
    }
  }

  public static class Disk extends KtrIcon {
    public Disk() {
      super();
      setStyleName("ui-icon ui-icon-disk");
    }
  }

  public static class Calculator extends KtrIcon {
    public Calculator() {
      super();
      setStyleName("ui-icon ui-icon-calculator");
    }
  }

  public static class Zoomin extends KtrIcon {
    public Zoomin() {
      super();
      setStyleName("ui-icon ui-icon-zoomin");
    }
  }

  public static class Zoomout extends KtrIcon {
    public Zoomout() {
      super();
      setStyleName("ui-icon ui-icon-zoomout");
    }
  }

  public static class Search extends KtrIcon {
    public Search() {
      super();
      setStyleName("ui-icon ui-icon-search");
    }
  }

  public static class Wrench extends KtrIcon {
    public Wrench() {
      super();
      setStyleName("ui-icon ui-icon-wrench");
    }
  }

  public static class Gear extends KtrIcon {
    public Gear() {
      super();
      setStyleName("ui-icon ui-icon-gear");
    }
  }

  public static class Heart extends KtrIcon {
    public Heart() {
      super();
      setStyleName("ui-icon ui-icon-heart");
    }
  }

  public static class Star extends KtrIcon {
    public Star() {
      super();
      setStyleName("ui-icon ui-icon-star");
    }
  }

  public static class Link extends KtrIcon {
    public Link() {
      super();
      setStyleName("ui-icon ui-icon-link");
    }
  }

  public static class Cancel extends KtrIcon {
    public Cancel() {
      super();
      setStyleName("ui-icon ui-icon-cancel");
    }
  }

  public static class Plus extends KtrIcon {
    public Plus() {
      super();
      setStyleName("ui-icon ui-icon-plus");
    }
  }

  public static class Plusthick extends KtrIcon {
    public Plusthick() {
      super();
      setStyleName("ui-icon ui-icon-plusthick");
    }
  }

  public static class Minus extends KtrIcon {
    public Minus() {
      super();
      setStyleName("ui-icon ui-icon-minus");
    }
  }

  public static class Minusthick extends KtrIcon {
    public Minusthick() {
      super();
      setStyleName("ui-icon ui-icon-minusthick");
    }
  }

  public static class Close extends KtrIcon {
    public Close() {
      super();
      setStyleName("ui-icon ui-icon-close");
    }
  }

  public static class Closethick extends KtrIcon {
    public Closethick() {
      super();
      setStyleName("ui-icon ui-icon-closethick");
    }
  }

  public static class Key extends KtrIcon {
    public Key() {
      super();
      setStyleName("ui-icon ui-icon-key");
    }
  }

  public static class Lightbulb extends KtrIcon {
    public Lightbulb() {
      super();
      setStyleName("ui-icon ui-icon-lightbulb");
    }
  }

  public static class Scissors extends KtrIcon {
    public Scissors() {
      super();
      setStyleName("ui-icon ui-icon-scissors");
    }
  }

  public static class Clipboard extends KtrIcon {
    public Clipboard() {
      super();
      setStyleName("ui-icon ui-icon-clipboard");
    }
  }

  public static class Copy extends KtrIcon {
    public Copy() {
      super();
      setStyleName("ui-icon ui-icon-copy");
    }
  }

  public static class Contact extends KtrIcon {
    public Contact() {
      super();
      setStyleName("ui-icon ui-icon-contact");
    }
  }

  public static class Image extends KtrIcon {
    public Image() {
      super();
      setStyleName("ui-icon ui-icon-image");
    }
  }

  public static class Video extends KtrIcon {
    public Video() {
      super();
      setStyleName("ui-icon ui-icon-video");
    }
  }

  public static class Script extends KtrIcon {
    public Script() {
      super();
      setStyleName("ui-icon ui-icon-script");
    }
  }

  public static class Alert extends KtrIcon {
    public Alert() {
      super();
      setStyleName("ui-icon ui-icon-alert");
    }
  }

  public static class Info extends KtrIcon {
    public Info() {
      super();
      setStyleName("ui-icon ui-icon-info");
    }
  }

  public static class Notice extends KtrIcon {
    public Notice() {
      super();
      setStyleName("ui-icon ui-icon-notice");
    }
  }

  public static class Help extends KtrIcon {
    public Help() {
      super();
      setStyleName("ui-icon ui-icon-help");
    }
  }

  public static class Check extends KtrIcon {
    public Check() {
      super();
      setStyleName("ui-icon ui-icon-check");
    }
  }

  public static class Bullet extends KtrIcon {
    public Bullet() {
      super();
      setStyleName("ui-icon ui-icon-bullet");
    }
  }

  public static class RadioOff extends KtrIcon {
    public RadioOff() {
      super();
      setStyleName("ui-icon ui-icon-radio-off");
    }
  }

  public static class RadioOn extends KtrIcon {
    public RadioOn() {
      super();
      setStyleName("ui-icon ui-icon-radio-on");
    }
  }

  public static class PinW extends KtrIcon {
    public PinW() {
      super();
      setStyleName("ui-icon ui-icon-pin-w");
    }
  }

  public static class PinS extends KtrIcon {
    public PinS() {
      super();
      setStyleName("ui-icon ui-icon-pin-s");
    }
  }

  public static class Play extends KtrIcon {
    public Play() {
      super();
      setStyleName("ui-icon ui-icon-play");
    }
  }

  public static class Pause extends KtrIcon {
    public Pause() {
      super();
      setStyleName("ui-icon ui-icon-pause");
    }
  }

  public static class SeekNext extends KtrIcon {
    public SeekNext() {
      super();
      setStyleName("ui-icon ui-icon-seek-next");
    }
  }

  public static class SeekPrev extends KtrIcon {
    public SeekPrev() {
      super();
      setStyleName("ui-icon ui-icon-seek-prev");
    }
  }

  public static class SeekEnd extends KtrIcon {
    public SeekEnd() {
      super();
      setStyleName("ui-icon ui-icon-seek-end");
    }
  }

  public static class SeekFirst extends KtrIcon {
    public SeekFirst() {
      super();
      setStyleName("ui-icon ui-icon-seek-first");
    }
  }

  public static class Stop extends KtrIcon {
    public Stop() {
      super();
      setStyleName("ui-icon ui-icon-stop");
    }
  }

  public static class Eject extends KtrIcon {
    public Eject() {
      super();
      setStyleName("ui-icon ui-icon-eject");
    }
  }

  public static class VolumeOff extends KtrIcon {
    public VolumeOff() {
      super();
      setStyleName("ui-icon ui-icon-volume-off");
    }
  }

  public static class VolumeOn extends KtrIcon {
    public VolumeOn() {
      super();
      setStyleName("ui-icon ui-icon-volume-on");
    }
  }

  public static class Power extends KtrIcon {
    public Power() {
      super();
      setStyleName("ui-icon ui-icon-power");
    }
  }

  public static class SignalDiag extends KtrIcon {
    public SignalDiag() {
      super();
      setStyleName("ui-icon ui-icon-signal-diag");
    }
  }

  public static class Signal extends KtrIcon {
    public Signal() {
      super();
      setStyleName("ui-icon ui-icon-signal");
    }
  }

  public static class Battery0 extends KtrIcon {
    public Battery0() {
      super();
      setStyleName("ui-icon ui-icon-battery-0");
    }
  }

  public static class Battery1 extends KtrIcon {
    public Battery1() {
      super();
      setStyleName("ui-icon ui-icon-battery-1");
    }
  }

  public static class Battery2 extends KtrIcon {
    public Battery2() {
      super();
      setStyleName("ui-icon ui-icon-battery-2");
    }
  }

  public static class Battery3 extends KtrIcon {
    public Battery3() {
      super();
      setStyleName("ui-icon ui-icon-battery-3");
    }
  }

  public static class CirclePlus extends KtrIcon {
    public CirclePlus() {
      super();
      setStyleName("ui-icon ui-icon-circle-plus");
    }
  }

  public static class CircleMinus extends KtrIcon {
    public CircleMinus() {
      super();
      setStyleName("ui-icon ui-icon-circle-minus");
    }
  }

  public static class CircleClose extends KtrIcon {
    public CircleClose() {
      super();
      setStyleName("ui-icon ui-icon-circle-close");
    }
  }

  public static class CircleTriangleE extends KtrIcon {
    public CircleTriangleE() {
      super();
      setStyleName("ui-icon ui-icon-circle-triangle-e");
    }
  }

  public static class CircleTriangleS extends KtrIcon {
    public CircleTriangleS() {
      super();
      setStyleName("ui-icon ui-icon-circle-triangle-s");
    }
  }

  public static class CircleTriangleW extends KtrIcon {
    public CircleTriangleW() {
      super();
      setStyleName("ui-icon ui-icon-circle-triangle-w");
    }
  }

  public static class CircleTriangleN extends KtrIcon {
    public CircleTriangleN() {
      super();
      setStyleName("ui-icon ui-icon-circle-triangle-n");
    }
  }

  public static class CircleArrowE extends KtrIcon {
    public CircleArrowE() {
      super();
      setStyleName("ui-icon ui-icon-circle-arrow-e");
    }
  }

  public static class CircleArrowS extends KtrIcon {
    public CircleArrowS() {
      super();
      setStyleName("ui-icon ui-icon-circle-arrow-s");
    }
  }

  public static class CircleArrowW extends KtrIcon {
    public CircleArrowW() {
      super();
      setStyleName("ui-icon ui-icon-circle-arrow-w");
    }
  }

  public static class CircleArrowN extends KtrIcon {
    public CircleArrowN() {
      super();
      setStyleName("ui-icon ui-icon-circle-arrow-n");
    }
  }

  public static class CircleZoomin extends KtrIcon {
    public CircleZoomin() {
      super();
      setStyleName("ui-icon ui-icon-circle-zoomin");
    }
  }

  public static class CircleZoomout extends KtrIcon {
    public CircleZoomout() {
      super();
      setStyleName("ui-icon ui-icon-circle-zoomout");
    }
  }

  public static class CircleCheck extends KtrIcon {
    public CircleCheck() {
      super();
      setStyleName("ui-icon ui-icon-circle-check");
    }
  }

  public static class CirclesmallPlus extends KtrIcon {
    public CirclesmallPlus() {
      super();
      setStyleName("ui-icon ui-icon-circlesmall-plus");
    }
  }

  public static class CirclesmallMinus extends KtrIcon {
    public CirclesmallMinus() {
      super();
      setStyleName("ui-icon ui-icon-circlesmall-minus");
    }
  }

  public static class CirclesmallClose extends KtrIcon {
    public CirclesmallClose() {
      super();
      setStyleName("ui-icon ui-icon-circlesmall-close");
    }
  }

  public static class SquaresmallPlus extends KtrIcon {
    public SquaresmallPlus() {
      super();
      setStyleName("ui-icon ui-icon-squaresmall-plus");
    }
  }

  public static class SquaresmallMinus extends KtrIcon {
    public SquaresmallMinus() {
      super();
      setStyleName("ui-icon ui-icon-squaresmall-minus");
    }
  }

  public static class SquaresmallClose extends KtrIcon {
    public SquaresmallClose() {
      super();
      setStyleName("ui-icon ui-icon-squaresmall-close");
    }
  }

  public static class GripDottedVertical extends KtrIcon {
    public GripDottedVertical() {
      super();
      setStyleName("ui-icon ui-icon-grip-dotted-vertical");
    }
  }

  public static class GripDottedHorizontal extends KtrIcon {
    public GripDottedHorizontal() {
      super();
      setStyleName("ui-icon ui-icon-grip-dotted-horizontal");
    }
  }

  public static class GripSolidVertical extends KtrIcon {
    public GripSolidVertical() {
      super();
      setStyleName("ui-icon ui-icon-grip-solid-vertical");
    }
  }

  public static class GripSolidHorizontal extends KtrIcon {
    public GripSolidHorizontal() {
      super();
      setStyleName("ui-icon ui-icon-grip-solid-horizontal");
    }
  }

  public static class GripsmallDiagonalSe extends KtrIcon {
    public GripsmallDiagonalSe() {
      super();
      setStyleName("ui-icon ui-icon-gripsmall-diagonal-se");
    }
  }

  public static class GripDiagonalSe extends KtrIcon {
    public GripDiagonalSe() {
      super();
      setStyleName("ui-icon ui-icon-grip-diagonal-se");
    }
  }

}
