package bufferings.ktr.wjr.server.service.junit3;

import junit.runner.Version;

public class JUnit3Checker {

  protected static Boolean available = null;

  /**
   * Check if the JUnit3 is available.
   * 
   * @return true if the JUnit3 is available, false if not
   */
  public static boolean isAvailable() {
    if (available == null) {
      String id = Version.id();
      available = (id.startsWith("3") || id.startsWith("4"));
    }
    return available;
  }
}
